%define	name	plib
%define	version	1.8.5
%define	release	%mkrel 6

Summary:	Steve's Portable Game Library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Group:		Development/C++
Source0:	http://plib.sourceforge.net/dist/%{name}-%{version}.tar.gz
URL:		http://plib.sourceforge.net/
Patch0:		plib-1.8.5-CVE-2011-4620.diff
Patch1:		plib-1.8.5-CVE-2012-4552.diff
Buildrequires:	MesaGLU-devel Mesa-common-devel
BuildRequires:	libxmu-devel
# Author: Steve J. Baker <sjbaker1@airmail.net>

%description
Write games and other realtime interactive applications that are 100% portable
across a wide range of hardware and operating systems.

%package -n	%{name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export LDFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%{makeinstall} includedir=%{buildroot}%{_includedir}/%{name}

%clean
rm -rf %{buildroot}

%files -n %{name}-devel
%doc README ChangeLog AUTHORS KNOWN_BUGS
%{_libdir}/lib*
%{_includedir}/plib


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.8.5-6.mga3
+ Revision: 377930
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 luigiwalser <luigiwalser> 1.8.5-5.mga3
+ Revision: 318358
- fix CVE-2012-4552 (patch1 from fedora)

* Tue Apr 03 2012 luigiwalser <luigiwalser> 1.8.5-4.mga2
+ Revision: 228207
- BuildRequires libxmu-devel since freeglut does not require it
- fix CVE-2011-4620 (patch0 from debian)
- clean spec
- remove ancient obsoletes/provides

* Thu Feb 17 2011 dmorgan <dmorgan> 1.8.5-3.mga1
+ Revision: 52881
- imported package plib

